The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of TYPO3: vulnerabilities of extensions

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of TYPO3 extensions in order to execute code, to generate a Cross Site Scripting or to inject SQL code.
Vulnerable products: TYPO3 Extensions ~ not comprehensive.
Severity of this weakness: 3/4.
Number of vulnerabilities in this bulletin: 5.
Creation date: 21/10/2009.
Références of this bulletin: BID-36736, BID-36737, BID-36889, BID-36890, CERTA-2009-AVI-447, CVE-2009-3696, CVE-2009-3697, CVE-2009-3819, CVE-2009-3820, CVE-2009-3821, TYPO3-SA-2009-014, TYPO3-SA-2009-015, VIGILANCE-VUL-9108.

Description of the vulnerability 

An attacker can use several vulnerabilities of TYPO3 extensions.

An attacker can generate a Cross Site Scripting and a SQL injection in the phpMyAdmin extension. [severity:2/4; CERTA-2009-AVI-447, CVE-2009-3696, CVE-2009-3697, TYPO3-SA-2009-015]

An attacker can generate a Cross Site Scripting in the Apache Solr Search extension. [severity:2/4; BID-36889, CVE-2009-3821, TYPO3-SA-2009-014]

An attacker can execute shell commands in the Random Images extension. [severity:3/4; BID-36737, CVE-2009-3819, TYPO3-SA-2009-014]

An attacker can generate a SQL injection in the Flagbit Filebase extension. [severity:2/4; BID-36890, CVE-2009-3820, TYPO3-SA-2009-014]

An attacker can bypass sessions in the freeCap CAPTCHA extension. [severity:2/4; BID-36736, TYPO3-SA-2009-014]
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability alert impacts software or systems such as TYPO3 Extensions ~ not comprehensive.

Our Vigil@nce team determined that the severity of this computer weakness alert is important.

The trust level is of type confirmed by the editor, with an origin of internet client.

This bulletin is about 5 vulnerabilities.

An attacker with a expert ability can exploit this computer vulnerability.

Solutions for this threat 

TYPO3: corrected extensions.
Following extensions are corrected:
phpMyAdmin 4.5.0
http://typo3.org/extensions/repository/view/phpmyadmin/4.5.0/
Apache Solr Search (solr) 1.0.1
http://typo3.org/extensions/repository/view/solr/1.0.1/
Random Images (maag_randomimage) 1.6.5
http://typo3.org/extensions/repository/view/maag_randomimage/1.6.5/
Flagbit Filebase (fb_filebase)
uninstall this extension
freeCap CAPTCHA (sr_freecap) 1.2.2
http://typo3.org/extensions/repository/view/sr_freecap/1.2.2/
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides networks vulnerabilities bulletins. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.